
TYPO3.Fluid - Bug # 4231

Status: Resolved Priority: Must have
Author: Steffen Kamper Category:
Created: 2009-08-12 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: [Fluid] Only one level is possible for directories in ViewHelpers
Description

Fluid only resolves one level in Tx_Fluid_Core_Parser_TemplateParser::resolveViewHelperName

Change it to infinetive does the attached patch

Associated revisions
Revision ef384c7c - 2009-08-31 10:36 - Sebastian Kurfuerst

[FEATURE] Fluid (TemplateParser): Now, multiple nesting levels are possible for nested ViewHelpers, instead of just one. Resolves #4231.

History
#1 - 2009-08-14 10:58 - Jochen Rau
- Category set to 432
- Status changed from New to Needs Feedback
- Assigned To set to Sebastian Kurfuerst
- Priority changed from Should have to Must have

#2 - 2009-08-14 11:02 - Jochen Rau
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r1106.

#3 - 2009-08-14 11:25 - Jochen Rau
- Status changed from Resolved to Needs Feedback

@Sebastian Please check the patch.

#4 - 2009-08-31 10:24 - Sebastian Kurfuerst
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

#5 - 2009-08-31 10:36 - Sebastian Kurfuerst
- Status changed from Needs Feedback to Resolved
done.

Files
resolveViewHelperName.diff 728 Bytes 2009-08-12 Steffen Kamper
